Skip to main content
GET
/
transfer
/
crypto-destination-addresses
List Crypto Destination Addresses
curl --request GET \
  --url https://api.paxos.com/v2/transfer/crypto-destination-addresses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/transfer/crypto-destination-addresses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/transfer/crypto-destination-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "addresses": [
    {
      "id": "31f20a34-c1eb-4c86-adad-1e46bc271e1a",
      "crypto_network": "ETHEREUM",
      "address": "0xe4B0aCA9FB669817775274775b20e52118595515",
      "nickname": "my_new_address",
      "status": "APPROVED",
      "created_at": "2024-01-01T00:00:00Z",
      "bookmarked": true
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
transfer:read_crypto_destination_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

ids
string[]

Optionally filter by the UUIDs of the crypto destination addresses. Limit 100.

identity_ids
string[]

Optionally filter by the Identities the destination addresses are scoped to. Limit 100.

crypto_networks
enum<string>[]

Optionally filter by the crypto_network of the destination addresses. Limit 100.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
addresses
string[]

Optionally filter by specific addresses. Limit 100.

nicknames
string[]

Optionally filter by specific nicknames. Limit 100.

bookmarked_status
boolean

Optionally filter by bookmarked status. If omitted, addresses regardless of bookmarked status will be returned.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Optional cursor for getting the next page of results.

Response

200 - application/json

A successful response.

addresses
object[]
next_page_cursor
string